Subject: Re: What's cooking in git.git (Aug 2018, #04; Fri, 17)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 18 Aug 2018 13:10:34 +0200

On Fri, Aug 17 2018, Junio C Hamano wrote:

> Usually, I refrain from merging larger topics in 'next' down to
> 'master' when we get close to -rc0, but I am wondering if it is
> better to merge all of them to 'master', even the ones on the larger
> and possibly undercooked side, expecting that we collectively spend
> effort on hunting and fixing bugs in them during the pre-release
> freeze period.  If we were to go that route, I'd want everybody's
> buy-in and I'll promise to ignore any shiny new toys that appear on
> list that are not regression fixes to topics merged to 'master'
> since the end of the previous cycle to make sure people are not
> distracted.

I'm very much up for this. We have some very useful things (like
range-diff and midx) sitting in "next". I think if you merge next down
to master now we'll have plenty of time to smoke out bugs & regressions
before 2.19.